#!/bin/bash
rm -rf MAC_*
while getopts "h:s:e:" opt; do
  case $opt in
    h)
      machead=$OPTARG
      ;;
    s)
      startmac=$OPTARG
      ;;
    e)
      endmac=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      ;;
  esac
done

for i in $(seq $startmac $endmac)
do  
  printf "%s:%0.2X" $machead $i >> MAC_$i
done

printf "%04d" $startmac >> MAC_INDEX
